Skip to main content
`Ctrl`+`K`

# PetscDSGetTotalDimension

Returns the total size of the approximation space for this system

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetTotalDimension(PetscDS prob, PetscInt *dim)

Not Collective

## Input Parameter

- prob - The `PetscDS` object

## Output Parameter

- dim - The total problem dimension

## See Also

`PetscDS`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages